/*
 DNN Content Builder - sourceforge.net/projects/dnncb
 Copyright (c) 2004-2007
 by Emerson Lopes (emersonlopes@gmail.com)

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
 documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
 the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
 to permit persons to whom the Software is furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or substantial portions 
 of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
 TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
 CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
 DEALINGS IN THE SOFTWARE.
*/

namespace elopes.DNN.Modules.BookShelf
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;

	/// <summary>
	///		Summary description for ViewBookShelf.
	/// </summary>
	public abstract class ViewBookShelf : DotNetNuke.PortalModuleControl
	{

		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
		}

		#region Web Form Designer generated code

		override protected void OnInit(EventArgs e) {
			InitializeComponent();
			base.OnInit(e);

			// Context menu of module
			base.Actions.Add(GetNextActionID(), "Documents Types", "","","", get_EditURL("Types","","EditType"), false, DotNetNuke.SecurityAccessLevel.Edit, true, false);
			base.Actions.Add(GetNextActionID(), "Documents Categories", "","","", get_EditURL("Categories","","EditCategory"), false, DotNetNuke.SecurityAccessLevel.Edit, true, false);
			base.Actions.Add(GetNextActionID(), "Folders", "","","", get_EditURL("Folders","","EditFolder"), false, DotNetNuke.SecurityAccessLevel.Edit, true, false);
			base.Actions.Add(GetNextActionID(), "Documents", "","","", get_EditURL("Documents","","EditDocument"),false, DotNetNuke.SecurityAccessLevel.Edit, true, false);
			base.Actions.Add(GetNextActionID(), "BookShelf", "","","", get_EditURL("Options","","EditBookShelf"),false, DotNetNuke.SecurityAccessLevel.Edit, true, false);
		}
	
		///		Required method for Designer support - do not modify
		///		the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion
	}
}
