<%@ Control Language="c#" AutoEventWireup="false" Codebehind="FormEngineControl.ascx.cs" Inherits="DNNContentBuilder.UserControls.FormEngineControl" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<%@ Register TagPrefix="dnn" TagName="TaxonomyTreeView" Src="TaxonomyTreeView.ascx" %>
<%@ Register TagPrefix="dnn" TagName="ModuleTreeView" Src="ModuleTreeView.ascx" %>
<%@ Register TagPrefix="dnn" TagName="PublishingSecurityControl" Src="PublishingSecurityControl.ascx" %>
<%@ Register TagPrefix="dnn" Namespace="DNNContentBuilder.UI.WebControls" Assembly="DNNContentBuilder.UI.WebControls" %>
<%@ Import namespace="DNNContentBuilder" %>
<div ID="disableform" style="display: block; z-index: 99; position: absolute; top: 0px; background-attachment: fixed; left: 0px; background-repeat: repeat;">
</div>
<div style="width: 100%; direction: rtl;"><asp:LinkButton id="btHistory" runat="server" />&nbsp;&nbsp;</div>

<hr noshade />
	<script language=javascript>
	<!--
		var errorMessage = "<asp:PlaceHolder ID="plcError" Runat="server" Visible="True" />";
		
		if (errorMessage != "") {
			alert(errorMessage);
			errorMessage = "";
		}
	-->
	</script>
	<asp:PlaceHolder ID="plcFormEngine" Runat="server">
	<div class="epFormBody">
		<div style="height: 320px; overflow: auto;">
		<table id="Table1" cellspacing="1" cellpadding="1" width="650" border="0">
			<tr>
				<td colspan="2">&nbsp;</td>
			</tr>
			<asp:PlaceHolder ID="plcFields" Runat="server" />
			<tr>
				<td class="SubSubHead" width="150" summary="Taxonomy tree"><%=Commons.GetLocalizedString("label_Taxonomy", resource) %></td>
				<td>
					<div style="BORDER-RIGHT:gray 1px solid; BORDER-TOP:gray 1px solid; OVERFLOW:auto; BORDER-LEFT:gray 1px solid; WIDTH:450px; BORDER-BOTTOM:gray 1px solid; HEIGHT:100px">
						<dnn:TaxonomyTreeView ID="TaxonomyTreeView" Runat="server" />
					</div>
				</td>
			</tr>
			<tr>
				<td class="SubSubHead" width="150" summary="Users and Roles"><%=Commons.GetLocalizedString("label_AuthorizedRoles", resource) %></td>
				<td>
					<dnn:PublishingSecurityControl ID="SecurityRoles" Runat="server" />
				</td>
			</tr>
			<tr>
				<td class="SubSubHead" width="150" summary="SiteTree"><%=Commons.GetLocalizedString("label_SiteTree", resource) %></td>
				<td>
					<div style="BORDER-RIGHT:gray 1px solid; BORDER-TOP:gray 1px solid; OVERFLOW:auto; BORDER-LEFT:gray 1px solid; WIDTH:450px; BORDER-BOTTOM:gray 1px solid; HEIGHT:150px">
						<dnn:ModuleTreeView ID="ModuleTreeView" Runat="server" />
					</div>
				</td>
			</tr>
		</table>
		</div>
		
		<hr noshade />
		
		<table cellspacing="1" cellpadding="1" width="650" border="0">
			<tr>
				<td colspan="2">
					<p align="center">
						<asp:LinkButton id="btUpdate" runat="server" />&nbsp;&nbsp;
						<asp:LinkButton id="btDelete" runat="server" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						<asp:LinkButton id="btCancel" CausesValidation="False" runat="server" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						<asp:LinkButton ID="btUnPublish" CausesValidation="False" Visible="False" Runat="server" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						<asp:LinkButton id="btRejectTask" runat="server" /></p>
				</td>
			</tr>
		</table>
	</div>
	</asp:PlaceHolder>
	<dnn:DummyPostBackHandler ID="PostBackHandler" runat="server" />
</p>
