<%@ Control Language="c#" AutoEventWireup="false" Codebehind="FormSearchControl.ascx.cs" Inherits="DNNContentBuilder.UserControls.FormSearchControl" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<%@ Import namespace="DNNContentBuilder" %>
<p>
	<asp:PlaceHolder ID="plcError" Runat="server" Visible="False" />
	<asp:PlaceHolder ID="plcSearchForm" Runat="server">
		<table class=epFormBody cellspacing="1" cellpadding="1" width="650" border="0">
			<tr>
				<td colspan="2">&nbsp;</td>
			</tr>
			<asp:PlaceHolder ID="plcFields" Runat="server" />
			<tr>
				<td colspan="2">&nbsp;</td>
			</tr>
			<tr>
				<td colspan="2">
					<p align="center">
						<asp:LinkButton id="btSearch" runat="server"></asp:LinkButton>&nbsp; 
						&nbsp;
				</td>
			</tr>
		</table>
		&nbsp;
		<asp:DataList 
				id="SearchResults" runat="server" 
				Width="650" CssClass="epLista" GridLines="Vertical"
				BorderWidth="1" BorderStyle="Solid">
			<HeaderTemplate>
				<tr bgcolor="#dcdcdc">
					<td align="center" width="25">&nbsp;</td>
					<td width="120"><%=Commons.GetLocalizedString("label_Title", resource) %></td>
					<td><%=Commons.GetLocalizedString("label_Taxonomy", resource) %></td>
					<td><%=Commons.GetLocalizedString("label_Status", resource) %></td>
					<td><%=Commons.GetLocalizedString("label_CreationDate", resource) %></td>
					<td><%=Commons.GetLocalizedString("label_Schedule", resource) %></td>
				</tr>
			</HeaderTemplate>
			<ItemTemplate>
				<tr>
					<td align="center">
						<asp:ImageButton id="btSelectRow" Commandname="Select" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "MetaDataId") %>' ImageUrl="~/DesktopModules/DNNContentBuilder/images/action.gif" runat="server" />
					</td>
					<td><%# DataBinder.Eval(Container.DataItem, "Title") %></td>
					<td><%# DataBinder.Eval(Container.DataItem, "TaxonomyId") %></td>
					<td><%# DataBinder.Eval(Container.DataItem, "Status") %></td>
					<td><%# DataBinder.Eval(Container.DataItem, "CreationDate") %></td>
					<td><%# DataBinder.Eval(Container.DataItem, "ScheduleDate") %></td>
					<td></td>
				</tr>
			</ItemTemplate>
		</asp:DataList>
	</asp:PlaceHolder>
</p>
