<%@ Import namespace="DNNContentBuilder" %>
<%@ Control Language="c#" AutoEventWireup="false" Codebehind="TaskListControl.ascx.cs" Inherits="DNNContentBuilder.UserControls.TaskListControl" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<%@ Register TagPrefix="cc1" Namespace="DNNContentBuilder.UI.WebControls" Assembly="DNNContentBuilder.UI.WebControls" %>
<style type="text/css">.table1 { FONT-SIZE: 11px; FONT-FAMILY: verdana, arial }
	</style>
<asp:datalist id="dlTaskList" RepeatLayout="Flow" ShowFooter="true" 
	CellPadding="0" runat="server"
	Visible="False">
	<HeaderTemplate>
		<TABLE class="table1" style="BORDER-RIGHT: gray thin solid; BORDER-TOP: gray thin solid; BORDER-LEFT: gray thin solid; BORDER-BOTTOM: gray thin solid; BORDER-COLLAPSE: collapse"
			width="100%" border="1">
			<TR bgcolor="#f5f5f5"> 
				<TD summary="Title"><%=Commons.GetLocalizedString("label_Title", resource) %></TD>
				<TD align="center" summary="CreatedBy"><%=Commons.GetLocalizedString("label_CreatedBy", resource) %></TD>
				<TD summary="Content Type"><%=Commons.GetLocalizedString("label_ContentType", resource) %></TD>
				<TD align="center" summary="Start Date"><%=Commons.GetLocalizedString("label_StartDate", resource) %></TD>
				<TD align="center" summary="Status"><%=Commons.GetLocalizedString("label_Status", resource) %></TD>
				<TD align="center" summary="Task"><%=Commons.GetLocalizedString("label_Task", resource) %></TD>
			</TR>
	</HeaderTemplate>
	<FooterTemplate>
		</table>
	</FooterTemplate>
	<ItemTemplate>
		<tr>
			<td><%# DataBinder.Eval(Container.DataItem, "ContentTitle") %></td>
			<td align="center"><%# DataBinder.Eval(Container.DataItem, "CreatedBy") %></td>
			<td><%# DataBinder.Eval(Container.DataItem, "ContentType") %></td>
			<td align="center"><%# DataBinder.Eval(Container.DataItem, "StartDate") %></td>
			<td align="center"><%# DataBinder.Eval(Container.DataItem, "Status") %></td>
			<td align="center">
				<asp:linkButton CssClass="CommandButton" ID="btTaskAction" Runat=server  CommandName='<%# DataBinder.Eval(Container.DataItem, "Title") %>' CommandArgument='<%# DataBinder.Eval(Container.DataItem, "MetaDataId") + "," + DataBinder.Eval(Container.DataItem, "MetaDataTaskId") %>' ><%# DataBinder.Eval(Container.DataItem, "Title") %></asp:LinkButton>
			</td>
		</tr>
	</ItemTemplate>
	<HeaderStyle ForeColor="Black" BackColor="WhiteSmoke"></HeaderStyle>
</asp:datalist>
