<%@ Control Language="c#" AutoEventWireup="false" Codebehind="TaxonomyControl.ascx.cs" Inherits="DNNContentBuilder.UserControls.TaxonomyControl" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<%@ Register TagPrefix="dnn" TagName="TaxonomyTreeView" Src="TaxonomyTreeView.ascx" %>
<%@ Import namespace="DNNContentBuilder" %>
<p>
	<table cellSpacing="0" cellPadding="0" align="center" border="0">
		<TR>
			<TD class="SubSubHead" width="150" summary="Taxonomy tree"><%=Commons.GetLocalizedString("label_TaxonomyTree", resource) %></TD>
			<TD>
				<div style="BORDER-RIGHT:gray 1px solid; BORDER-TOP:gray 1px solid; OVERFLOW:auto; BORDER-LEFT:gray 1px solid; WIDTH:450px; BORDER-BOTTOM:gray 1px solid; HEIGHT:120px">
					<dnn:TaxonomyTreeView id="Taxonomies" Runat="server" AutoPostBack="True" />
				</div>
			</TD>
		</TR>
		<tr>
			<td colSpan="2">&nbsp;</td>
		</tr>
		<tr>
			<td class="SubSubHead" width="150" summary="Title"><%=Commons.GetLocalizedString("label_Title", resource) %></td>
			<td><input class="NormaltextBox" id="txtTitle" type="text" size="60" name="txtTitle" runat="server"
					width="45"></td>
		</tr>
		<tr>
			<td colSpan="2" style="HEIGHT: 16px">&nbsp;</td>
		</tr>
		<tr>
			<td class="SubSubHead" vAlign="top" width="150" summary="Description"><%=Commons.GetLocalizedString("label_Description", resource) %></td>
			<td><TEXTAREA id="txtDescription" style="WIDTH: 448px; HEIGHT: 56px" name="TEXTAREA1" rows="3"
					cols="53" runat="server"></TEXTAREA></td>
		</tr>
		<TR>
			<TD colSpan="2">&nbsp;</TD>
		</TR>
		<tr>
			<TD background='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_topo_bckg_pontilhado.gif")%>' colSpan=2 height=5></TD>
		</tr>
		<TR>
			<TD align=center 
    background='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_topo_bckg_degrade_3.gif")%>' 
    colSpan=2><asp:LinkButton CssClass="CommandButton" id="btUpdate" runat="server"></asp:LinkButton>&nbsp; &nbsp;
				<asp:LinkButton CssClass="CommandButton" id="btDelete" runat="server"></asp:LinkButton>&nbsp; &nbsp;
				<asp:LinkButton CssClass="CommandButton" id="btCancel" runat="server"></asp:LinkButton>
			</TD>
		</TR>
		<tr>
			<td colSpan="2">&nbsp;<input type="hidden" id="txtHidden" name="txtHidden" runat="server"></td>
		</tr>
	</table>
	<asp:Literal id="ltErrorMessage" runat="server" />
</p>
