<%@ Import namespace="DNNContentBuilder" %>
<%@ Register TagPrefix="cb" TagName="FormEngineChild" Src="UserControls/FormEngineChildControl.ascx" %>
<%@ Register TagPrefix="cb" TagName="TaskListControl" Src="UserControls/TaskListControl.ascx" %>
<%@ Register TagPrefix="cb" TagName="ScheduleListControl" Src="UserControls/ScheduleListControl.ascx" %>
<%@ Register TagPrefix="cb" TagName="TaxonomyControl" Src="UserControls/TaxonomyControl.ascx" %>
<%@ Register TagPrefix="cb" TagName="FormSearchControl" Src="UserControls/FormSearchControl.ascx" %>
<%@ Register TagPrefix="cb" TagName="FormEngineControl" Src="UserControls/FormEngineControl.ascx" %>
<%@ Control Language="c#" AutoEventWireup="false" Codebehind="epContentManagerView.ascx.cs" Inherits="DNNContentBuilder.ContentManagerView"  %>

<asp:literal id="ltMaskScripts" runat=server />

<style type="text/css">
.epFormTitle { FONT-WEIGHT: bold; FONT-SIZE: 11px; BACKGROUND: #6996c2; FILTER: Alpha(Opacity=30, FinishOpacity=100, Style=1, StartX=0, StartY=0, FinishX=0, FinishY=40); COLOR: #ffffff; FONT-FAMILY: verdana; HEIGHT: 20px; TEXT-ALIGN: left }
.epFormBody { FONT-WEIGHT: bold; FONT-SIZE: 11px; COLOR: #000000; FONT-FAMILY: verdana; TEXT-ALIGN: left }
.epInnerFormBody { FONT-SIZE: 11px; COLOR: #000000; FONT-FAMILY: verdana; TEXT-ALIGN: left }
.epLista { BORDER-RIGHT: #c0c0c0 1px solid; BORDER-TOP: #c0c0c0 1px solid; FONT-SIZE: 11px; BACKGROUND: #ffffff; BORDER-LEFT: #c0c0c0 1px solid; COLOR: #000000; BORDER-BOTTOM: #c0c0c0 1px solid; FONT-FAMILY: verdana; BORDER-COLLAPSE: collapse; TEXT-ALIGN: left }
.epMenu_text{
	font:normal 9px Verdana;
	color:#3A4F6C;
}
.epTitulo{
	font:bold 14px Verdana;
	color:#3A4F6C;
}
</style>
<table align="center" id="Table1" cellSpacing="0" cellPadding="0" width="750" border="0">
	<asp:PlaceHolder ID="plcHeader" Runat="server" Visible="False">
		<TBODY>
			<TR>
				<TD style="HEIGHT: 32px" 
    background='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_topo_bckg_degrade_2.gif")%>' 
    colSpan=5>
					<P align="right">
						<TABLE cellSpacing="0" cellPadding="0" border="0">
							<TR>
								<TD>
									<TABLE>
										<TR>
											<TD>
												<asp:imagebutton id="btTaskList" runat="server" ImageUrl="~/DesktopModules/DNNContentBuilder/images/tasks.gif"
													ImageAlign="AbsMiddle"></asp:imagebutton></TD>
											<TD width="60"><SPAN class="epMenu_Text"><%=Commons.GetLocalizedString("label_TaskList", resource) %></SPAN></TD>
										</TR>
									</TABLE>
								</TD>
								<TD><IMG 
            src='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_topo_separador_3.gif")%>'></TD>
								<TD>
									<TABLE>
										<TR>
											<TD>
												<asp:imagebutton id="btSearchContent" runat="server" ImageUrl="~/DesktopModules/DNNContentBuilder/images/search.gif"
													ImageAlign="AbsMiddle"></asp:imagebutton></TD>
											<TD width="60"><SPAN class="epMenu_Text"><%=Commons.GetLocalizedString("label_Search", resource) %></SPAN></TD>
										</TR>
									</TABLE>
								</TD>
								<TD><IMG 
            src='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_topo_separador_3.gif")%>'></TD>
								<TD>
									<TABLE>
										<TR>
											<TD>
												<asp:imagebutton id="btCreateContent" runat="server" ImageUrl="~/DesktopModules/DNNContentBuilder/images/form.gif"
													ImageAlign="AbsMiddle"></asp:imagebutton></TD>
											<TD width="60"><SPAN class="epMenu_Text">
													<asp:label id="lbContentTitle" Runat="server"></asp:label></SPAN></TD>
										</TR>
									</TABLE>
								</TD>
								<TD><IMG 
            src='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_topo_separador_3.gif")%>'></TD>
								<TD>
									<TABLE>
										<TR>
											<TD>
												<asp:imagebutton id="btScheduleList" runat="server" ImageUrl="~/DesktopModules/DNNContentBuilder/images/schedule.gif"
													ImageAlign="AbsMiddle"></asp:imagebutton></TD>
											<TD width="60"><SPAN class="epMenu_Text"><%=Commons.GetLocalizedString("label_Schedule", resource) %></SPAN></TD>
										</TR>
									</TABLE>
								</TD>
								<TD><IMG 
            src='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_topo_separador_3.gif")%>'></TD>
								<TD>
									<TABLE>
										<TR>
											<TD>
												<asp:imagebutton id="btEditTaxonomy" runat="server" ImageUrl="~/DesktopModules/DNNContentBuilder/images/taxonomies.gif"
													ImageAlign="AbsMiddle"></asp:imagebutton></TD>
											<TD width="60"><SPAN class="epMenu_Text"><%=Commons.GetLocalizedString("label_Taxonomies", resource) %></SPAN></TD>
										</TR>
									</TABLE>
								</TD>
							</TR>
						</TABLE>
					</P>
				</TD>
			</TR>
			<TR>
				<TD 
    background='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_topo_bckg_pontilhado.gif")%>' 
    colSpan=5 height=3></TD>
			</TR>
			<TR>
				<TD colSpan="5" height="10"></TD>
			</TR>
	</asp:PlaceHolder>
	<tr>
		<td colSpan="5">
			<asp:image id="imgTitle" runat="server" ImageAlign="AbsMiddle" Visible="False"></asp:image>
			<span class="epFormBody"><asp:Literal id="txtTitle" runat="server"></asp:Literal></span></td>
	</tr>
		<tr>
			<td background='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_bckg_separador.gif")%>' colSpan=5 height=10></td>
		</tr>
		<tr>
			<td colspan=5>&nbsp;</td>
		</tr>
	<tr>
		<td colSpan="5">
			<asp:PlaceHolder ID="plcTaskList" Runat="server" Visible="False">
				<cb:TaskListControl id="TaskListControl" runat="server"></cb:TaskListControl>
			</asp:PlaceHolder>
			<asp:PlaceHolder ID="plcFormSearch" Runat="server" Visible="False">
				<cb:FormSearchControl id="FormSearchControl" runat="server"></cb:FormSearchControl>
			</asp:PlaceHolder>
			<asp:PlaceHolder ID="plcFormEngine" Runat="server" Visible="False">
				<cb:FormEngineControl id="FormEngineControl" runat="server"></cb:FormEngineControl>
			</asp:PlaceHolder>
			<asp:PlaceHolder ID="plcScheduleList" Runat="server" Visible="False">
				<cb:ScheduleListControl id="ScheduleListControl" runat="server"></cb:ScheduleListControl>
			</asp:PlaceHolder>
			<asp:PlaceHolder ID="plcEditTaxonomy" Runat="server" Visible="False">
				<cb:TaxonomyControl id="TaxonomyControl" runat="server"></cb:TaxonomyControl>
			</asp:PlaceHolder>
			<asp:PlaceHolder ID="plcFormEnginePopup" Runat="server" Visible="False">
				<cb:FormEngineChild id="FormEnginePopup" Runat="server"></cb:FormEngineChild>
			</asp:PlaceHolder>
		</td>
	</tr>
	</TBODY>
</table>
<script type="text/javascript">
new iMask();
</script>
<asp:Literal id="ltErrorMessage" runat="server" />
