<%@ Control  Language="c#" AutoEventWireup="false" Codebehind="ConnectionStringControl.ascx.cs" Inherits="DNNContentBuilder.UserControls.ConnectionStringControl" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<%@ Import namespace="DNNContentBuilder" %>
<asp:panel id="ConnectionStringPanel" Visible="false" runat="server" Width="100%">
	<TABLE class="epFormBody" id="Table1" cellSpacing="0" cellPadding="3" width="100%" border="0">
		<TR>
			<TD class="epTitulo" style="WIDTH: 280px; HEIGHT: 26px"><IMG 
      src='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/btConnectionString.gif")%>' 
      align=absMiddle> <%=Commons.GetLocalizedString("label_ConnectionString", resource) %></TD>
			<TD style="HEIGHT: 26px; TEXT-ALIGN: right" align="right" colSpan="2">
				<asp:LinkButton id="btSearchConn" runat="server" CssClass="CommandButton"></asp:LinkButton></TD>
		</TR>
		<TR>
			<TD 
    background='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_bckg_separador.gif")%>' 
    colSpan=2 height=10></TD>
		</TR>
		<TR>
			<TD colSpan="2"></TD>
		</TR>
		<TR>
			<TD colSpan="2">&nbsp;</TD>
		</TR>
		<TR>
			<TD style="WIDTH: 180px; HEIGHT: 17px"><%=Commons.GetLocalizedString("label_Title", resource) %></TD>
			<TD style="HEIGHT: 17px">
				<asp:TextBox id="txtTitle" Width="200px" runat="server" MaxLength="20"></asp:TextBox></TD>
		</TR>
		<TR>
			<TD style="WIDTH: 180px; HEIGHT: 25px"><%=Commons.GetLocalizedString("label_Databases", resource) %></TD>
			<TD style="HEIGHT: 25px">
				<asp:DropDownList id="ddDataBase" Width="290px" runat="server"></asp:DropDownList></TD>
		</TR>
		<TR>
			<TD style="WIDTH: 180px; HEIGHT: 30px"><%=Commons.GetLocalizedString("label_ConnectionString", resource) %></TD>
			<TD style="HEIGHT: 30px">
				<asp:TextBox id="txtString" Width="437px" runat="server"></asp:TextBox></TD>
		</TR>
		<TR>
			<TD style="WIDTH: 180px; HEIGHT: 10px" colSpan="2">&nbsp;&nbsp;</TD>
		</TR>
		<TR>
			<TD style="WIDTH: 180px; HEIGHT: 23px"></TD>
			<TD style="HEIGHT: 23px">
				<TABLE class="epFormBody" cellSpacing="10" cellPadding="0" width="100%" border="0">
					<TR>
						<TD noWrap height="20">
							<asp:LinkButton id="btTestConn" runat="server" CssClass="CommandButton"></asp:LinkButton></TD>
						<TD>
							<asp:Label id="msgBadConnection" runat="server" Visible="False" ForeColor="#ff0000" />
							<asp:Label id="msgGoodConnection" runat="server" Visible="False" />
						</TD>
					</TR>
				</TABLE>
			</TD>
		</TR>
		<TR>
			<TD colSpan="2">&nbsp;</TD>
		</TR>
		<TR>
			<TD colSpan="2">&nbsp;</TD>
		</TR>
		<TR>
			<TD 
    background='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_topo_bckg_pontilhado.gif")%>' 
    colSpan=2 height=5></TD>
		</TR>
		<TR>
			<TD align=center 
    background='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_topo_bckg_degrade_3.gif")%>' 
    colSpan=2><INPUT id="txtConnId" style="WIDTH: 94px; HEIGHT: 22px" type="hidden" size="10" runat="server">
				<asp:LinkButton id="btUpdate" runat="server" CssClass="CommandButton"></asp:LinkButton>&nbsp;&nbsp;
				<asp:LinkButton id="btDelete" runat="server" Visible="false" CssClass="CommandButton"></asp:LinkButton>&nbsp;&nbsp;
				<asp:LinkButton id="btCancel" runat="server" CssClass="CommandButton"></asp:LinkButton></TD>
		</TR>
	</TABLE>
</asp:panel><asp:panel id="ConnectionsListPanel" Visible="True" runat="server" Width="100%">
	<TABLE class="epFormBody" id="Table2" cellSpacing="0" cellPadding="3" width="100%" border="0">
		<TR>
			<TD style="HEIGHT: 26px" 
    background='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_topo_bckg_degrade_3.gif")%>' 
    colSpan=2><%=Commons.GetLocalizedString("label_AvailableStrings", resource) %></TD>
		</TR>
		<TR>
			<TD colSpan="2"></TD>
		</TR>
		<TR>
			<TD colSpan="2"></TD>
		</TR>
		<TR>
			<TD colSpan="2">
				<asp:DataList id="ConnectionsList" Width="100%" runat="server" CssClass="epLista" BorderWidth="1"
					BorderStyle="Solid" GridLines="Vertical">
					<HeaderTemplate>
						<TR bgcolor="#dcdcdc">
							<TD width="25" align="center">&nbsp;</TD>
							<TD width="120"><%=Commons.GetLocalizedString("label_Title", resource) %></TD>
							<TD><%=Commons.GetLocalizedString("label_String", resource) %></TD>
						</TR>
					</HeaderTemplate>
					<FooterTemplate>
					</FooterTemplate>
					<ItemTemplate>
						<TR>
							<TD align="center">
								<asp:ImageButton id="btConnSelected" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "ConnectionStringId") %>' ImageUrl="~/DesktopModules/DNNContentBuilder/images/action.gif" runat="server">
								</asp:ImageButton></TD>
							<TD><%# DataBinder.Eval(Container.DataItem, "Title") %></TD>
							<TD><%# DataBinder.Eval(Container.DataItem, "ConnectionString") %></TD>
						</TR>
					</ItemTemplate>
				</asp:DataList></TD>
		</TR>
		<TR>
			<TD colSpan="2"></TD>
		</TR>
		<TR>
			<TD colSpan="2">
				<HR width="100%" noShade SIZE="1">
			</TD>
		</TR>
		<TR>
			<TD style="HEIGHT: 18px" align="center" colSpan="2">
				<asp:LinkButton id="btNewConn" runat="server" CssClass="CommandButton"></asp:LinkButton>&nbsp;&nbsp;
			</TD>
		</TR>
	</TABLE>
</asp:panel>
