<%@ Control  Language="c#" AutoEventWireup="false" Codebehind="WorkflowControl.ascx.cs" Inherits="DNNContentBuilder.UserControls.WorkflowControl" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<%@ Import namespace="DNNContentBuilder" %>
<script language="javascript">
<!--
// Tasks listbox has no view_state. It values must be set thru javascript
// Since there is no multi-dimensional array support in Jscript, we created 4 arrays to hold tasks info
var tasksUsers			= new Array(); 
var tasksRoles			= new Array(); 
var tasksTitle			= new Array(); 
var tasksDescription	= new Array(); 

function setTasksValues() {
	tasksTitle			= "<%=txtTitles %>".split("^");
	tasksDescription	= "<%=txtDescriptions %>".split("^");
	tasksUsers			= "<%=txtUsers %>".split("^");
	tasksRoles			= "<%=txtRoles %>".split("^");
}

function getTasksValues() {
	document.forms[0].idTaskTitle.value			= tasksTitle.join("^");
	document.forms[0].idTaskDescription.value	= tasksDescription.join("^");
	document.forms[0].idUsers.value				= tasksUsers.join("^");
	document.forms[0].idRoles.value				= tasksRoles.join("^");
}

function openDialog(opType) {
	var parameters = "workflowId=" + this.document.forms[0].<%=txtWorkflowId.UniqueID.Replace(":","_")%>.value + "&URPortalID=<%= portalID%>";
	
	document.forms[0].flagOperation.value = opType;

	if (opType == "EDIT") {
		if (document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.options.length == 0) {
			return;
		}
		document.forms[0].selectedIndex.value		= document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.selectedIndex;
		document.forms[0].idTaskTitle.value			= tasksTitle[document.forms[0].selectedIndex.value];
		document.forms[0].idTaskDescription.value   = tasksDescription[document.forms[0].selectedIndex.value];
	}
	
	windowTop = (screen.height - 409) / 2;
	windowLeft = (screen.width - 500) / 2;

	window.open("<%= Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/TaskForm.aspx") %>?" + parameters,"<%=Commons.GetLocalizedString("label_WindowTitle", resource) %>","Height=380; Width=480; Top=" + windowTop + "; Left=" + windowLeft + " ;menubar=No; directories=No; resizable=No; status=No");
}

function addTask() {
	tasksUsers[tasksUsers.length]				= document.forms[0].idUsers.value;
	tasksRoles[tasksRoles.length]			    = document.forms[0].idRoles.value;
	tasksTitle[tasksTitle.length]				= document.forms[0].idTaskTitle.value;
	tasksDescription[tasksDescription.length]	= document.forms[0].idTaskDescription.value;
	
	//document.forms[0].viewvalues.value = "Users=" + tasksUsers.join(";") + " Roles=" + tasksRoles.join(";") + " Titles=" + tasksTitle.join(";") + " Descriptions=" + tasksDescription.join(";");

	var oOption = document.createElement("OPTION");

	document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.options.add(oOption);

	oOption.innerText	= document.forms[0].idTaskTitle.value;
	oOption.value		= document.forms[0].idTaskTitle.value;
}

function removeTask() {
	var selectedIndex = document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.selectedIndex;

	if (selectedIndex == -1) {
		return;
	}

	tasksUsers.splice(selectedIndex, 1);
	tasksRoles.splice(selectedIndex, 1);
	tasksTitle.splice(selectedIndex, 1);
	tasksDescription.splice(selectedIndex, 1);
	
	document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.options[selectedIndex] = null;
	
	//document.forms[0].viewvalues.value = "Users=" + tasksUsers.join(";") + " Roles=" + tasksRoles.join(";") + " Titles=" + tasksTitle.join(";") + " Descriptions=" + tasksDescription.join(";");
}

function editTask() {
	var selectedIndex = document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.selectedIndex;

	tasksUsers[selectedIndex]		= document.forms[0].idUsers.value;
	tasksRoles[selectedIndex]		= document.forms[0].idRoles.value;
	tasksTitle[selectedIndex]		= document.forms[0].idTaskTitle.value;
	tasksDescription[selectedIndex]	= document.forms[0].idTaskDescription.value;

	var oOption = document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.options[selectedIndex];

	oOption.innerText	= document.forms[0].idTaskTitle.value;
	oOption.value		= document.forms[0].idTaskTitle.value;
}

function swapArrayElements(array, direction) {
	var selectedIndex = document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.selectedIndex;

	if (direction == "UP") {
		var temp = array[selectedIndex].toString();

		array[selectedIndex] = array[selectedIndex - 1].toString();
		array[selectedIndex - 1] = temp;
	} else {
		var temp = array[selectedIndex + 1].toString();
		
		array[selectedIndex + 1] = array[selectedIndex].toString();
		array[selectedIndex] = temp;
	}		
}

function swapListboxElements(direction) {
	var selectedIndex = document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.selectedIndex;

	if (direction == "UP") {
		var current  = document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.options[selectedIndex];
		var previous = document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.options[selectedIndex - 1];
		
		tempText = current.text;
		tempValue = current.value;
		
		current.text  = previous.text;
		current.value = previous.value;

		previous.text  = tempText;
		previous.value = tempValue;
		
		document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.selectedIndex--;
	} else {
		var current  = document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.options[selectedIndex];
		var next = document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.options[selectedIndex + 1];

		tempText = next.text;
		tempValue = next.value;

		next.text  = current.text;
		next.value = current.value;
		
		current.text  = tempText;
		current.value = tempValue;
		document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.selectedIndex++;
	}		
}

function moveTaskUp() {
	if (document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.selectedIndex < 1) {
		return;
	}
	
	swapArrayElements(tasksUsers,"UP");
	swapArrayElements(tasksRoles,"UP");
	swapArrayElements(tasksTitle,"UP");
	swapArrayElements(tasksDescription,"UP");
	
	swapListboxElements("UP");

	//document.forms[0].viewvalues.value = "Users=" + tasksUsers.join(";") + " Roles=" + tasksRoles.join(";") + " Titles=" + tasksTitle.join(";") + " Descriptions=" + tasksDescription.join(";");
}
	
function moveTaskDown() {
	if (document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.options.length - 1 == document.forms[0].<%=lbTasks.UniqueID.Replace(":","_")%>.selectedIndex) {
		return;
	}

	swapArrayElements(tasksUsers,"DOWN");
	swapArrayElements(tasksRoles,"DOWN");
	swapArrayElements(tasksTitle,"DOWN");
	swapArrayElements(tasksDescription,"DOWN");
	
	swapListboxElements("DOWN");

	//document.forms[0].viewvalues.value = "Users=" + tasksUsers.join(";") + " Roles=" + tasksRoles.join(";") + " Titles=" + tasksTitle.join(";") + " Descriptions=" + tasksDescription.join(";");
}

<asp:Literal id="jsScript" runat="server"></asp:Literal>

//-->
</script>
<!-- input type="text" name="viewvalues" id="viewvalues" size="100" //-->
<asp:panel id="FormPanel" Width="100%" runat="server" Visible="false">
	<TABLE class="epFormBody" id="Table1" cellSpacing="0" cellPadding="3" width="100%" border="0">
		<TR>
			<TD class="epTitulo" style="WIDTH: 180px; HEIGHT: 26px"><IMG 
      src='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/btWorkflow.gif")%>' 
      align=absMiddle> <%=Commons.GetLocalizedString("label_Workflows", resource) %></TD>
			<TD style="HEIGHT: 26px; TEXT-ALIGN: right" align="right" colSpan="2">
				<asp:linkbutton id="btSearch" runat="server" CssClass="CommandButton"></asp:linkbutton></TD>
		</TR>
		<TR>
			<TD 
    background='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_bckg_separador.gif")%>' 
    colSpan=2 height=10></TD>
		</TR>
		<TR>
			<TD colSpan="2"></TD>
		</TR>
		<TR>
			<TD colSpan="2"></TD>
		</TR>
		<TR>
			<TD style="WIDTH: 180px; HEIGHT: 25px"><%=Commons.GetLocalizedString("label_Title", resource) %></TD>
			<TD style="HEIGHT: 25px">
				<asp:textbox id="txtWorkflowTitle" runat="server" Width="277px"></asp:textbox></TD>
		</TR>
		<TR>
			<TD style="WIDTH: 180px; HEIGHT: 17px"><%=Commons.GetLocalizedString("label_Description", resource) %></TD>
			<TD style="HEIGHT: 17px">
				<asp:textbox id="txtWorkflowDescription" runat="server" Width="278px" Columns="35" Rows="4" TextMode="MultiLine"></asp:textbox></TD>
		</TR>
		<TR>
			<TD style="WIDTH: 180px; HEIGHT: 30px"><%=Commons.GetLocalizedString("label_Tasks", resource) %></TD>
			<TD style="HEIGHT: 30px">
				<TABLE id="Table3" style="WIDTH: 343px; HEIGHT: 171px" cellSpacing="0" cellPadding="0"
					width="343" border="0">
					<TR>
						<TD style="WIDTH: 269px" vAlign="top"><SELECT id="lbTasks" style="WIDTH: 303px; HEIGHT: 166px" size="10" runat="server"></SELECT>
						</TD>
						<TD>
							<P><IMG id=btNewTask style="CURSOR: hand" 
            onclick='javascript: openDialog("NEW")' 
            src="<%= Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/DesktopModules/DNNContentBuilder/images/new.gif")%>">&nbsp;<BR>
								<IMG 
            id=btEditTask style="CURSOR: hand" 
            onclick='javascript: openDialog("EDIT")'
            src="<%= Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/DesktopModules/DNNContentBuilder/images/action.gif")%>"><BR>
								<IMG 
            id=btDeleteTask style="CURSOR: hand" 
            onclick="javascript: removeTask()"
            src="<%= Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/DesktopModules/DNNContentBuilder/images/delete.gif")%>">
							<P><IMG id=btMoveUp style="CURSOR: hand" 
            onclick="javascript: moveTaskUp()"
            src="<%= Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/DesktopModules/DNNContentBuilder/images/up.gif")%>">
								<BR>
								<BR>
								<IMG id=btMoveDown style="CURSOR: hand" onclick="javascript: moveTaskDown()" src="<%= Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/DesktopModules/DNNContentBuilder/images/dn.gif")%>">
							</P>
						</TD>
					</TR>
				</TABLE>
			</TD>
		</TR>
		<TR>
			<TD style="WIDTH: 167px; HEIGHT: 10px" colSpan="2">&nbsp;&nbsp;</TD>
		</TR>
		<TR>
			<TD colSpan="2">&nbsp;</TD>
		</TR>
		<TR>
			<TD 
    background='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_topo_bckg_pontilhado.gif")%>' 
    colSpan=2 height=5></TD>
		</TR>
		<TR>
			<TD align=center 
    background='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_topo_bckg_degrade_3.gif")%>' 
    colSpan=2><INPUT id="txtWorkflowId" style="WIDTH: 94px; HEIGHT: 22px" type="hidden" size="10" runat="server">
				<asp:linkbutton id="btUpdate" runat="server" CssClass="CommandButton"></asp:linkbutton>&nbsp;&nbsp;
				<asp:linkbutton id="btDelete" Visible="false" runat="server" CssClass="CommandButton"></asp:linkbutton>&nbsp;&nbsp;
				<asp:linkbutton id="btCancel" runat="server" CssClass="CommandButton"></asp:linkbutton></TD>
		</TR>
	</TABLE>
</asp:panel>
<asp:panel id="ListPanel" Width="100%" runat="server" Visible="True" BorderStyle="none" borderwidth="0">
	<TABLE class="epFormBody" id="Table2" cellSpacing="0" cellPadding="0" width="100%" border="0">
		<TR>
			<TD style="HEIGHT: 26px" 
    background='<%=Page.ResolveUrl("~/DesktopModules/DNNContentBuilder/images/ep_topo_bckg_degrade_3.gif")%>' 
    colSpan=2><%=Commons.GetLocalizedString("label_AvailableWorkflows", resource) %></TD>
		</TR>
		<TR>
			<TD colSpan="2"></TD>
		</TR>
		<TR>
			<TD colSpan="2"></TD>
		</TR>
		<TR>
			<TD colSpan="2">
				<asp:datalist id="WorkflowList" runat="server" Width="100%" CssClass="epLista" BorderStyle="Solid"
					BorderWidth="1" GridLines="vertical">
					<headertemplate>
						<tr bgcolor="#dcdcdc">
							<td width="25" align="center">&nbsp;</td>
							<td summary="Workflow"><%=Commons.GetLocalizedString("label_Workflow", resource) %></td>
							<td summary="Description"><%=Commons.GetLocalizedString("label_Description", resource) %></td>
						</tr>
					</headertemplate>
					<itemtemplate>
						<tr>
							<td width=25 align="center">
								<asp:ImageButton id="btWorkflowSelected" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "WorkflowId") %>' ImageUrl="~/DesktopModules/DNNContentBuilder/images/action.gif" runat="server">
								</asp:ImageButton></td>
							<td><%# DataBinder.Eval(Container.DataItem, "Title") %></td>
							<td><%# DataBinder.Eval(Container.DataItem, "Description") %>
						</tr>
					</itemtemplate>
				</asp:datalist></TD>
		</TR>
		<TR>
			<TD colSpan="2"></TD>
		</TR>
		<TR>
			<TD colSpan="2">
				<HR width="100%" noShade SIZE="1">
			</TD>
		</TR>
		<TR>
			<TD style="HEIGHT: 18px" align="center" colSpan="2">
				<asp:linkbutton id="btNewWorkflow" runat="server" CssClass="CommandButton"></asp:linkbutton>&nbsp;&nbsp;
			</TD>
		</TR>
	</TABLE>
</asp:panel>
<input id="idLabelTaskWindowTitle"	value="<%=Commons.GetLocalizedString("label_TaskWindowTitle", resource) %>" type=hidden name="txtLabelWindowTitle">
<input id="idLabelTaskTitle"		value="<%=Commons.GetLocalizedString("label_TaskTitle", resource) %>" type=hidden name="txtLabelTaskTitle">
<input id="idLabelTaskDescription"	value="<%=Commons.GetLocalizedString("label_TaskDescription", resource) %>" type=hidden name="txtLabelTaskDescription">
<input id="idLabelTaskOwner"		value="<%=Commons.GetLocalizedString("label_TaskOwner", resource) %>" type=hidden name="txtLabelTaskOwner">
<input id="idLabelAvailableUsers"	value="<%=Commons.GetLocalizedString("label_TaskAvailableUsers", resource) %>" type=hidden name="txtLabelAvailableUsers">
<input id="idLabelSelectedUsers"	value="<%=Commons.GetLocalizedString("label_TaskSelectedUsers", resource) %>" type=hidden name="txtLabelSelectedUsers">
<input id="idLabelAvailableRoles"	value="<%=Commons.GetLocalizedString("label_TaskAvailableRoles", resource) %>" type=hidden name="txtLabelAvailableRoles">
<input id="idLabelSelectedRoles"	value="<%=Commons.GetLocalizedString("label_TaskSelectedRoles", resource) %>" type=hidden name="txtLabelSelectedRoles">
<input id="idLabelbtUpdate"			value="<%=Commons.GetLocalizedString("button_Update", resource) %>" type=hidden name="txtLabelbtUpdate">
<input id="idLabelbtCancel"			value="<%=Commons.GetLocalizedString("button_Cancel", resource) %>" type=hidden name="txtLabelbtCancel">

<input id="idTaskTitle" type="hidden" name="txtTaskTitle"> <input id="idTaskDescription" type="hidden" name="txtTaskDescription">
<input id="idUsers" type="hidden" name="txtUsers"> <input id="idRoles" type="hidden" name="txtRoles">
<input id="selectedIndex" type="hidden"> <input id="flagOperation" type="hidden">
