<%@ Control Language="c#" AutoEventWireup="false" 
Inherits="System.Web.UI.UserControl" 
TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<%@ Import NameSpace="System.Data.OleDb" %>
<%@ Import NameSpace="System.Web.UI" %>
<%@ Import NameSpace="epContentBuilder" %>
<%@ Import NameSpace="DotNetNuke.Entities.Modules" %>
<!-- DNN Content Builder Template v 1.0 -->
<script language=C# runat=server>
 
/*
ConnectionStrings available	:	
   
'SQL'
 

*/

// Naming container object - use this object to access PortalModuleBase class

PortalModuleBase container = this.NamingContainer.NamingContainer as 
PortalModuleBase;

// Useful methods: 
//
// -------------------------------------------------------------------------
//
// Commons.GetConnectionString
//
// Usage:
//	Commons.GetConnectionString("myConnection");
//
//	myConnection = Title of connection string to be used
//
// -------------------------------------------------------------------------
//
// Commons.GetURL
// 
// Usage:
//	<a href="< % =Commons.GetURL(container.TabId, GUID, queryString)" % >
//
//	tabId = Target Tab Id
//	GUID  = Content Primary Key value
//	queryString = your stuff
//
// -------------------------------------------------------------------------


//	Retrieving data using the disconnected approach, IDataAdapter + DataSet
	DataSet ds = new DataSet();
	
	using (OleDbDataAdapter adapter = new OleDbDataAdapter
(Commons.GetConnectionString('Connection title here')))
	{
		adapter.Fill(ds);
	}
	
	//
	// use the disconnected dataset here
	// ...
	//
	
//	Retrieving data using a IDataReader approach	
	using (OleDbConnection conn = new OleDbConnection
(Commons.GetConnectionString('Connection title here')))
	using (OleDbCommand command = conn.CreateCommand())
	{
		conn.Open();
		command.CommandText = "Your SELECT here";
		
		using (OleDbDataReader reader = command.ExecuteReader())
		{
			//
			// read your data here
			//
		}
	}
</script>
